summaryrefslogtreecommitdiff
path: root/source4/selftest/test_w2k3_file.sh
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2007-04-29 20:37:59 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:51:46 -0500
commit1e84e4026e3c8f0b94cfaf61a089b075f07417f1 (patch)
tree091ad4a99b9f124ffcbf9dec2f7dcd8727851a11 /source4/selftest/test_w2k3_file.sh
parent82ad0ea6eaab04cdb1739da468b5ed2169421439 (diff)
downloadsamba-1e84e4026e3c8f0b94cfaf61a089b075f07417f1.tar.gz
samba-1e84e4026e3c8f0b94cfaf61a089b075f07417f1.tar.bz2
samba-1e84e4026e3c8f0b94cfaf61a089b075f07417f1.zip
r22575: move script/tests/ -> selftest/
as discussed with jelmer and abartlet metze (This used to be commit e9fe3c40e10accb63d7a2124d3a7e77e499c4209)
Diffstat (limited to 'source4/selftest/test_w2k3_file.sh')
-rwxr-xr-xsource4/selftest/test_w2k3_file.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/source4/selftest/test_w2k3_file.sh b/source4/selftest/test_w2k3_file.sh
new file mode 100755
index 0000000000..f008d49128
--- /dev/null
+++ b/source4/selftest/test_w2k3_file.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# this runs the file serving tests that are expected to pass with win2003
+
+if [ $# -lt 3 ]; then
+cat <<EOF
+Usage: test_w2k3_file.sh UNC USERNAME PASSWORD <first> <smbtorture args>
+EOF
+exit 1;
+fi
+
+unc="$1"
+username="$2"
+password="$3"
+start="$4"
+shift 4
+ADDARGS="$*"
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+tests="BASE-FDPASS BASE-LOCK "
+tests="$tests BASE-UNLINK BASE-ATTR"
+tests="$tests BASE-DIR1 BASE-DIR2 BASE-VUID"
+tests="$tests BASE-TCON BASE-TCONDEV BASE-RW1"
+tests="$tests BASE-DENY3 BASE-XCOPY BASE-OPEN BASE-DENYDOS"
+tests="$tests BASE-DELETE BASE-PROPERTIES BASE-MANGLE"
+tests="$tests BASE-CHKPATH BASE-SECLEAK BASE-TRANS2"
+tests="$tests BASE-NTDENY1 BASE-NTDENY2 BASE-RENAME BASE-OPENATTR"
+tests="$tests RAW-QFILEINFO RAW-SFILEINFO-BUG RAW-SFILEINFO"
+tests="$tests RAW-LOCK RAW-MKDIR RAW-SEEK RAW-CONTEXT RAW-MUX RAW-OPEN RAW-WRITE"
+tests="$tests RAW-UNLINK RAW-READ RAW-CLOSE RAW-IOCTL RAW-CHKPATH RAW-RENAME"
+tests="$tests RAW-EAS RAW-STREAMS RAW-OPLOCK RAW-NOTIFY BASE-DELAYWRITE"
+# slowest tests last
+tests="$tests BASE-DENY1 BASE-DENY2"
+
+# these tests are known to fail against windows
+fail="RAW-SEARCH RAW-ACLS RAW-QFSINFO"
+
+echo "Skipping tests expected to fail: $fail"
+
+for t in $tests; do
+ if [ ! -z "$start" -a "$start" != $t ]; then
+ continue;
+ fi
+ start=""
+ name="$t"
+ testit "$name" smb $VALGRIND bin/smbtorture $TORTURE_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t
+done